# LLVM pass for outlining marked slow paths

This pass allows to mark slow code paths in C functions and outline them into a separate function. The outlined function
is then called from the original function. This allows to improve the performance of the original function by reducing
the number of instructions in the hot path.

## Usage

```shell
mkdir build
cd build
cmake ..
make -j$(nproc)

cat test.processed.ll
```
